Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152966 - Squid crashes and restarts when visiting certain URLs after upgrade to squid-2.5.STABLE9-1.FC2.2
Summary: Squid crashes and restarts when visiting certain URLs after upgrade to squid-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: squid
Version: fc2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 14:48 UTC by Lucas Maneos
Modified: 2014-08-31 23:27 UTC (History)
3 users (show)

Fixed In Version: 7:2.5.STABLE9-1.FC3.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 19:05:23 UTC


Attachments (Terms of Use)
My squid.conf on my fc2 test box. (deleted)
2005-03-31 18:14 UTC, Jay Fenlason
no flags Details

Description Lucas Maneos 2005-03-31 14:48:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
Squid crashes and restarts when visiting certain sites.

The error in cache.log is always:

assertion failed: stmem.c:93: "current_offset == target_offset"

Example sites that cause this include <http://www.redhat.com>, <http://www.mozilla.org/> and <http://www.theregister.co.uk/>

The problem occured only after upgrading to squid-2.5.STABLE9-1.FC2.2.i386.rpm




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get <http://www.redhat.com/> through squid
  

Actual Results:  Squid crashed. HTML content had been retrieved but not linked content (CSS, images etc).

Expected Results:  Normal operation as before the upgrade.

Additional info:

Comment 1 Jay Fenlason 2005-03-31 16:34:22 UTC
Hmm.  WORKSFORME on my fc2 box.  Can you attach your squid.conf to this bug 
report? 

Comment 2 Lucas Maneos 2005-03-31 17:03:46 UTC
I've started again from the default squid.conf incrementally adding my changes
until it broke.  The config line that breaks it is cache_dir, I'm using diskd
instead of the default ufs, as it's supposed to be much faster.

Now back to my previous config with a ufs cache_dir, and it works fine.  The
problem is definitely in diskd somewhere.

Comment 3 Patrick Boutilier 2005-03-31 17:16:01 UTC
I can confirm. Using diskd causes the following crashes:

assertion failed: stmem.c:93: "current_offset == target_offset"

Comment 4 Jay Fenlason 2005-03-31 18:09:30 UTC
It might be interesting to rebuild the .src.rpm without the 2GB patch and see 
whether it fixes the problem.  That is the only patch which is obviously 
making changes in that area. 
 
Oddly, my fc2 machine is still stubbornly refusing to show the problem.  
Perhaps I'm configuring it wrong.  I'm attaching my squid.conf. 

Comment 5 Jay Fenlason 2005-03-31 18:14:23 UTC
Created attachment 112528 [details]
My squid.conf on my fc2 test box.

Comment 6 Jay Fenlason 2005-04-01 20:03:19 UTC
I've built a test rpm with the 2GB patch removed.  It works in my limited 
testing.  Can you please try it out and see if it resolves your problems? 
http://people.redhat.com/fenlason/.squid/squid-2.5.STABLE9-1.FC2.3.{src,i386}.rpm 

Comment 7 Lucas Maneos 2005-04-01 21:25:00 UTC
Yes, this works fine with a diskd cache_dir.

Comment 8 Patrick Boutilier 2005-04-01 22:43:40 UTC
Works here with limited testing as well.

Comment 9 Matthew Miller 2005-04-26 15:19:22 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 10 Lucas Maneos 2006-02-20 13:13:07 UTC
FWIW squid-2.5.STABLE9-1.FC2.4.legacy reintroduced this bug.

Comment 11 Rahul Sundaram 2006-02-20 13:16:04 UTC
Just open a new report and reference this instead of commenting on a close bug
report. 


Note You need to log in before you can comment on or make changes to this bug.